import sys

if sys.version_info[:2] >= (3, 8):
    # TODO: Import directly (no need for conditional) when `python_requires = >= 3.8`
    from importlib.metadata import PackageNotFoundError, version  # pragma: no cover
else:
    from importlib_metadata import PackageNotFoundError, version  # pragma: no cover

try:
    # Change here if project is renamed and does not equal the package name
    dist_name = "biocgenerics"
    __version__ = version(dist_name)
except PackageNotFoundError:  # pragma: no cover
    __version__ = "unknown"
finally:
    del version, PackageNotFoundError

from .colnames import colnames, set_colnames
from .combine_seqs import combine_seqs
from .combine_cols import combine_cols
from .combine_rows import combine_rows
from .rownames import rownames, set_rownames
from .show_as_cell import show_as_cell, format_table
